#
# spec file for package junit (Version 3.8.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0

Name:           junit
BuildRequires:  ant java2-devel-packages xml-commons-apis
%define	name		junit
%define	version		3.8.1
%define	release		4jpp
%define	section		free
Version:        3.8.1
Release:        25
Summary:        Java Regression Test Package
License:        IBM Public License
URL:            http://www.junit.org/
Group:          Development/Libraries/Java
Source:         http://osdn.dl.sourceforge.net/junit/junit3.8.1.zip
Patch:          %{name}-java14compat.patch
Buildarch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
JUnit is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
JUnit is open source software, released under the IBM Public License
and hosted on SourceForge.



%package manual
Group:          Development/Libraries/Java
Summary:        Manual for junit

%description manual
JUnit is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
JUnit is Open Source Software, released under the IBM Public License
and hosted on SourceForge.

This package contains the manual for JUnit.



%package javadoc
PreReq:         coreutils
Group:          Development/Libraries/Java
Summary:        Javadoc for junit

%description javadoc
JUnit is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
JUnit is Open Source Software, released under the IBM Public License
and hosted on SourceForge.

This package contains the javadoc documentation for JUnit.



%package demo
Group:          Development/Libraries/Java
Summary:        Demonstration and sample files for junit
Requires:       %{name} = %{version}-%{release}

%description demo
JUnit is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
JUnit is Open Source Software, released under the IBM Public License
and hosted on SourceForge.

This package contains demonstration and sample files for JUnit.



%prep
%setup -n %{name}%{version}
# extract sources
jar xvf src.jar
%patch

%build
ant dist

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}%{version}/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr %{name}%{version}/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr %{name}%{version}/%{name}/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc README.html
%{_javadir}/*
%dir %{_datadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{name}%{version}/doc/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/*

%changelog -n junit
* Tue Sep 26 2006 - skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 28 2005 - jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 - jsmeix@suse.de
- Current version 3.8.1 from JPackage.org
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep 02 2004 - skh@suse.de
- Initial package created with version 3.8.1 (JPackage 1.5)
